{{- if .Values.clusterInfraEnabled }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: "cluster-infrastructure"
  namespace: argocd
  finalizers:
   - resources-finalizer.argocd.argoproj.io
  annotations:
    argocd.argoproj.io/sync-wave: {{ .Values.syncWave | default "-1" | quote }}
spec:
  project: default
  syncPolicy:
    automated:
      #selfHeal: true
      prune: true
      allowEmpty: true
  destination:
    server: https://kubernetes.default.svc
    namespace: default
  source:
    path: charts/infrastructure/cluster-infra
    repoURL: {{ .Values.global.source.repoURL }}
    targetRevision: {{ .Values.global.source.targetRevision }}
    helm:
      parameters:
        - name: clusterInfraSubDomain
          value: {{ $.Values.clusterInfraSubDomain }}
        - name: ingressDomain
          value: {{ $.Values.ingressDomain }}
        - name: clusterIP
          value: {{ $.Values.clusterIP }}
        - name: clusterAzureNamespace
          value: {{ $.Values.clusterAzureNamespace }}
{{- end -}}